libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::ControlValidator Class Referenceabstract

Interface for the control validator. More...

Inheritance diagram for libcamera::ControlValidator:
[legend]

## Public Member Functions
virtual const std::string & | name () const =0
| Retrieve the name of the object associated with the validator.
virtual bool | validate (unsigned int id) const =0
| Validate a control.

## Detailed Description

Interface for the control validator.

The ControlValidator class is used by the ControlList class to validate controls added to the list. It is an abstract class providing an interface for object-specific control validation, such a Camera controls and V4L2 controls.

## Member Function Documentation

## ◆ name()

virtual const std::string & libcamera::ControlValidator::name | ( |  | ) | const
| pure virtual

Retrieve the name of the object associated with the validator.

Returns
  The name of the object associated with the validator

Implemented in libcamera::CameraControlValidator.

## ◆ validate()

virtual bool libcamera::ControlValidator::validate | ( | unsigned int | id | ) | const
| pure virtual

Validate a control.

Parameters

  [in] | id | The control ID

This function validates the control id against the object corresponding to the validator. It shall at least validate that the control is applicable to the object instance, and may perform additional checks.

Returns
  True if the control is valid, false otherwise

Implemented in libcamera::CameraControlValidator.

The documentation for this class was generated from the following files:

- include/libcamera/internal/control_validator.h
- src/libcamera/control_validator.cpp